Re: [xsl] JDK 1.4 <> 5.0 transformation compatibility

Subject: Re: [xsl] JDK 1.4 <> 5.0 transformation compatibility
From: Kai Hackemesser <kaha@xxxxxx>
Date: Fri, 15 Jun 2007 11:40:12 +0200
Hi, Andrew,

Thanks for that hint, I wasn't aware of that system property "javax.xml.transform.TransformerFactory". But I haven't used that yet, so it still must be the xalan transformer I'm using. What else may be the cause for my problem?


Andrew Welch schrieb:
On 6/15/07, Julian Reschke <julian.reschke@xxxxxx> wrote:
Kai Hackemesser wrote:
> Hello!
> I have the strange case that a xsl transformation (XSL 1.0) output looks
> different between an application running in JDK1.4.2 and JDK 1.5.0. In
> ...

I wouldn't call that "strange" at all. The two JDKs have completely
different XSLT engines, and they have different sets of bugs (Xalan vs

Doesn't it depend on how the transformation was invoked? If it was using JAXP then Xalan would still be used:

Afaik, you have to be explicit if you want to use xsltc.

Current Thread